#!/bin/bash

if [ ! -d $SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi

echo "#---"
echo "# $mode $GSDL3HOME -> $SDCARD_GSDL3HOME"
if [ $mode = "Installing" ] ; then
  echo "# (this may take several minutes)"
  echo "#---"
  echo ""
  (cd $GSDL3HOME && find . -type d ) \
    | egrep -v '/\.svn' \
    | egrep -v 'sites/' \
    | egrep -v 'WEB-INF/classes' \
    | egrep -v 'WEB-INF/lib' \
    | xargs -I {} mkdir -p $SDCARD_GSDL3HOME/{}
else 
  echo "#---"
  echo ""
fi


(cd $GSDL3HOME && find . -type f ) \
  | egrep -v '/\.svn' \
  | egrep -v 'sites/' \
  | egrep -v 'WEB-INF/classes' \
  | egrep -v 'WEB-INF/lib' \
  | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $SDCARD_GSDL3HOME/{}


if [ ! -d $SDCARD_GSDL3HOME/sites/localsite ] ; then
  echo "Creating 'localsite' in $SDCARD_GSDLHOME"
  mkdir $SDCARD_GSDL3HOME/sites/localsite
fi

/bin/cp -u -v -r sites/without-jni/* $SDCARD_GSDL3HOME/sites/localsite/.



